Skip to main content
`Ctrl`+`K`

# numpy.lib.array_utils

Miscellaneous utils.

Functions

`byte_bounds`(a) | Returns pointers to the end-points of an array.
`normalize_axis_index`(axis, ndim[, msg_prefix]) | Normalizes an axis index, axis, such that is a valid positive index into the shape of array with ndim dimensions.
`normalize_axis_tuple`(axis, ndim[, argname, ...]) | Normalizes an axis argument into a tuple of non-negative integer axes.